// file: dec_set_10.cc
//

// isip include files
//
#include "decoder.h"
#include "decoder_constants.h"
 
// method: set_beams_cc
//
// arguments:
// float_4* value : (input) beam widths
//
// return: logical_1 indicating status
//
// this method sets the beam widths
//
logical_1 Decoder::set_beams_cc(float_4* value_a) {

  // allocate memory for the beams
  //
  if (beam_d == (float_4*)NULL) {
    beam_d = new float_4[num_levels_d];
  }
  
  // set the beam widths
  //
  for (int_4 i = 0; i < num_levels_d; i++) {
    beam_d[i] = value_a[i];
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
